Loading...
Searching...
No Matches
Capability allocator
L4Re C Interface

Capability allocator C interface. More...

Collaboration diagram for Capability allocator:

## Functions

L4_BEGIN_DECLS l4_cap_idx_t | l4re_util_cap_alloc (void) L4_NOTHROW
| Get free capability index at capability allocator.
void | l4re_util_cap_free (l4_cap_idx_t cap) L4_NOTHROW
| Return capability index to capability allocator.
void | l4re_util_cap_free_um (l4_cap_idx_t cap) L4_NOTHROW
| Return capability index to capability allocator, and unmaps the object.
long | l4re_util_cap_last (void) L4_NOTHROW
| Return last capability index the allocator can return.

## Detailed Description

Capability allocator C interface.

## Function Documentation

## l4re_util_cap_last()

long l4re_util_cap_last | ( | void |  | ) |

Return last capability index the allocator can return.

Returns
  last/biggest capability index the allocator can return

References L4_END_DECLS, and L4_NOTHROW.